/** nav-bar css - the used in WP web-page **/

.nav-container {
    height: 66px;
    background-color: #ed7800;
    padding: 0px 0 0;
}

.nav-container--fixed {
    padding: 0 0 0 0;
}

.nav-bar {
  margin-right: auto;
  margin-left: auto;
  line-height: 63px;
}

.nav-bar .logo {
  margin: 5px auto;
  max-height: 63.5%;
}

.nav-bar:not(nav--fixed) {
    position: relative;
    max-width: 1200px;
}

.nav-bar.nav--fixed {
  position: fixed;
  width: 100%;
  z-index: 999;
  top: 0;
  max-width: 100%;
  background: #ed7800;
}

.nav-bar.nav--fixed > .nav-logo {
    max-height: 57%;
}

.nav-bar.nav--fixed > .nav-inner {
    max-width: 1200px;
    margin-right: auto;
    margin-left: auto;
}

.nav-bar.nav--fixed + .nav-mobile-toggle {
  position: fixed;
  top: 0;
  right: 0;
  z-index: 999;
  color: #222;
}

.nav-bar .nav-module {
  display: inline-block;
  height: 66px;
  padding: 0 1em;
}

.nav-bar .nav-module > a:not(.btn) {
  height: 100%;
  display: inline-block;
}

.nav-module.left {
  float: left;
}

.nav-module.right {
  float: right;
}

.nav-module:first-of-type {
  padding-left: 0;
}

.nav-module:last-of-type {
  padding-right: 0;
}

.nav-bar,
.utility-bar {
  padding: 0 3.25em 0 3.25em;
}

/** nav-bar Transitions **/
[class*='transition--'] {
  transition: 0.3s ease-in-out;
  -webkit-transition: 0.3s ease-in-out;
  -moz-transition: 0.3s ease-in-out;
  opacity: 0;
}

[class*='transition--'].transition--active {
  opacity: 1;
}

/** nav-bar slide effect after scrolling down 200px**/
.nav-bar.nav--fixed:not(.no-animation) {
  animation: navslide .5s ease forwards;
}

@keyframes navslide {
  from {
    transform: translate3d(0, -100px, 0);
    -webkit-transform: translate3d(0, -100px, 0);
    opacity: 0;
  }
  to {
    transform: translate3d(0, 0, 0);
    -webkit-transform: translate3d(0, 0, 0);
    opacity: 1;
  }
}

.footer {
   padding-top: 0.8125em !important;
   padding-bottom: 2.5em !important;

}

.footer .logo {
    max-height: 1.6em;
    margin-top: 0.8125em !important;
    display: block;
    margin-bottom: 0.8125em !important;
}

.copy-rights-stm {
    font-size: 0.79em;
    color: #333333;
}

.footer-links {
   color: #333333;
   font-size: 0.79em;
}

.border-effect a:before,
.underline-effect a:before {
 -webkit-transition:all 400ms ease;
 -o-transition:all 400ms ease;
 transition:all 400ms ease
}
.border-effect a,
.underline-effect a {
 position:relative;
 z-index:1;
 padding-bottom:2px;
    color: #333333;

}

.border-effect a:hover,
.underline-effect a:hover {
 position:relative;
 z-index:1;
 padding-bottom:2px;
    color: #333333;
    text-decoration: none currentcolor solid;
}

.border-effect a:before,
.underline-effect a:before {
 content:'';
 position:absolute;
 left:0;
 top:100%;
 width:100%;
 border-bottom:1px solid;
 opacity:.5
}
.border-effect a:before,
.underline-effect a:hover:before {
 width:90%;
 left:5%
}
.border-effect a:before {
 opacity:0;
 visibility:hidden
}
.border-effect a:hover:before {
 width:100%;
 left:0;
 opacity:1;
 visibility:visible
}
